Change eosio-cpp to cdt-cpp in all README files in examples directory and version_tests.sh; use support@eosnetwork.com for support email

This commit is contained in:
Lin Huang
2022-08-13 20:44:13 -04:00
parent feafccaadc
commit 6296804cda
7 changed files with 13 additions and 13 deletions
+1 -1
View File
@@ -77,7 +77,7 @@ set(VENDOR "EOSNetworkFoundation")
set(PROJECT_NAME "cdt")
set(DESC "Toolchain and supporting tools to facilitate C/C++ development of contracts for Antelope blockchains")
set(URL "https://github.com/AntelopeIO/cdt")
set(EMAIL "bucky.kittinger@eosnetwork.com")
set(EMAIL "support@eosnetwork.com")
configure_file(${CMAKE_SOURCE_DIR}/scripts/generate_package.sh.in ${CMAKE_BINARY_DIR}/packages/generate_package.sh @ONLY)
configure_file(${CMAKE_SOURCE_DIR}/scripts/generate_deb.sh ${CMAKE_BINARY_DIR}/packages/generate_deb.sh COPYONLY)
configure_file(${CMAKE_SOURCE_DIR}/scripts/generate_bottle.sh ${CMAKE_BINARY_DIR}/packages/generate_bottle.sh COPYONLY)
+2 -2
View File
@@ -11,9 +11,9 @@
- Additions to cmake should be done to the CMakeLists.txt in the './src' directory and not in the top level CMakeLists.txt
-- How to build with eosio-cpp --
-- How to build with cdt-cpp --
- cd into the 'build' directory
- run the command 'eosio-cpp -abigen ../src/hello.cpp -o hello.wasm -I ../include/'
- run the command 'cdt-cpp -abigen ../src/hello.cpp -o hello.wasm -I ../include/'
- After build -
- The built smart contract is in the 'build' directory
+2 -2
View File
@@ -11,9 +11,9 @@
- Additions to CMake should be done to the CMakeLists.txt in the './src' directory and not in the top level CMakeLists.txt
-- How to build with eosio-cpp --
-- How to build with cdt-cpp --
- cd into the 'build' directory
- run the command 'eosio-cpp -abigen ../src/multi_index_example.cpp -o multi_index_example.wasm -I ../include/'
- run the command 'cdt-cpp -abigen ../src/multi_index_example.cpp -o multi_index_example.wasm -I ../include/'
- After build -
- The built smart contract is in the 'build' directory
+2 -2
View File
@@ -11,9 +11,9 @@
- Additions to CMake should be done to the CMakeLists.txt in the './src' directory and not in the top level CMakeLists.txt
-- How to build with eosio-cpp --
-- How to build with cdt-cpp --
- cd into the 'build' directory
- run the command 'eosio-cpp -abigen ../src/multi_index_large.cpp -o multi_index_large.wasm -I ../include/'
- run the command 'cdt-cpp -abigen ../src/multi_index_large.cpp -o multi_index_large.wasm -I ../include/'
- After build -
- The built smart contract is in the 'build' directory
+2 -2
View File
@@ -11,9 +11,9 @@
- Additions to CMake should be done to the CMakeLists.txt in the './src' directory and not in the top level CMakeLists.txt
-- How to build with eosio-cpp --
-- How to build with cdt-cpp --
- cd into the 'build' directory
- run the command 'eosio-cpp -abigen ../src/send_inline.cpp -o send_inline.wasm -I ../include/ -I ../../hello/include/'
- run the command 'cdt-cpp -abigen ../src/send_inline.cpp -o send_inline.wasm -I ../include/ -I ../../hello/include/'
- After build -
- The built smart contract is in the 'build' directory
+2 -2
View File
@@ -11,9 +11,9 @@
- Additions to CMake should be done to the CMakeLists.txt in the './src' directory and not in the top level CMakeLists.txt
-- How to build with eosio-cpp --
-- How to build with cdt-cpp --
- cd into the 'build' directory
- run the command 'eosio-cpp -abigen ../src/singleton_example.cpp -o singleton_example.wasm -I ../include/'
- run the command 'cdt-cpp -abigen ../src/singleton_example.cpp -o singleton_example.wasm -I ../include/'
- After build -
- The built smart contract is in the 'build' directory
+2 -2
View File
@@ -1,7 +1,7 @@
#!/bin/bash
set -eo pipefail
# The purpose of this test is to ensure that the output of the "cdt-cpp --version" command matches the version string defined by our CMake files
echo '##### Eosio-cpp Version Label Test #####'
echo '##### cdt-cpp Version Label Test #####'
# orient ourselves
[[ -z "$BUILD_ROOT" ]] && export BUILD_ROOT="$(pwd)"
echo "Using BUILD_ROOT=\"$BUILD_ROOT\"."
@@ -24,7 +24,7 @@ ACTUAL=$($BUILD_ROOT/bin/cdt-cpp --version)
EXIT_CODE=$?
# verify 0 exit code explicitly
if [[ $EXIT_CODE -ne 0 ]]; then
echo "Eosio-cpp produced non-zero exit code \"$EXIT_CODE\"."
echo "cdt-cpp produced non-zero exit code \"$EXIT_CODE\"."
exit $EXIT_CODE
fi
# test version